Next: trunc, Previous: tan, Up: Math [Contents][Index]

### 1.58 `tanh`, `tanhf`—hyperbolic tangent

Synopsis

    #include <math.h>
    double tanh(double x);
    float tanhf(float x);

Description

`tanh` computes the hyperbolic tangent of the argument x. Angles are specified in radians.

`tanh(x)` is defined as

     sinh(x)/cosh(x)

`tanhf` is identical, save that it takes and returns `float` values.

Returns
The hyperbolic tangent of x is returned.

Portability
`tanh` is ANSI C. `tanhf` is an extension.